<?php
/**
*
* @package phpBB3
* @version $Id: troll_sleep.php 129 2008-06-20 20:39:29Z evil3 $
* @copyright (c) 2008 evil3
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * Long loading times
 */
class troll_sleep extends troll_action
{
	public $settings = array(
		'min'	=> array('lang' => 'TROLL_SLEEP_MIN',	'validate' => 'int:1',	'type' => 'dimension:3:4', 'explain' => false),
		'max'	=> array('lang' => 'TROLL_SLEEP_MAX',	'validate' => 'int:60',	'type' => 'dimension:3:4', 'explain' => false),
	);

	public function action($min, $max)
	{
		// suppress errors to prevent error messages when maximum time is reached
		@sleep(rand($min, $max));
	}
}

?>