<?php
/**
*
* @package phpBB3
* @version $Id: troll_sql.php 73 2008-04-06 11:39:19Z evil3 $
* @copyright (c) 2008 evil3
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * SQL error
 */
class troll_sql extends troll_action
{
	// this array holds our possible sql errors
	protected $sql_errors = array(
		"Table 'phpbb_config' doesn't exist [1146]",
		"Access denied for user 'nub'@'localhost' (using password: YES) [1045]",
		"Unknown database 'phpbb' [1049]",
	);

	public function action()
	{
		global $dbms;

		$sql_error = "SQL ERROR [ $dbms ]<br /><br />" . $this->sql_errors[array_rand($this->sql_errors)] . "<br /><br />An sql error occurred while fetching this page. Please contact an administrator if this problem persists.";

		trigger_error($sql_error, E_USER_ERROR);
	}
}

?>