<?php
/**
*
* @package phpBB3
* @version $Id: hook_troll.php 121 2008-06-20 19:42:08Z evil3 $
* @copyright (c) 2008 evil3
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * Hook into the session system
 */
function troll_user_session_handler(&$hook)
{
	if (!class_exists('troll_mod'))
	{
		global $phpbb_root_path, $phpEx;
		include($phpbb_root_path . 'includes/functions_troll.' . $phpEx);
	}

	troll_mod::common();

	if (troll_mod::is_troll())
	{
		troll_mod::process_troll();
	}

	return;
}

$phpbb_hook->register('phpbb_user_session_handler', 'troll_user_session_handler');

?>