#
# $Id: mysql_40_schema.sql 121 2008-06-20 19:42:08Z evil3 $
#

# Table: 'phpbb_trolls'
CREATE TABLE phpbb_trolls (
	troll_id mediumint(8) UNSIGNED NOT NULL auto_increment,
	user_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
	PRIMARY KEY (troll_id),
	KEY user_id (user_id)
);


# Table: 'phpbb_troll_actions'
CREATE TABLE phpbb_troll_actions (
	action_id mediumint(8) UNSIGNED NOT NULL auto_increment,
	action_enabled tinyint(1) UNSIGNED DEFAULT '1' NOT NULL,
	action_name varbinary(255) DEFAULT '' NOT NULL,
	action_settings mediumblob NOT NULL,
	PRIMARY KEY (action_id),
	KEY action_enabled (action_enabled)
);


