#
# $Id: sqlite_schema.sql 121 2008-06-20 19:42:08Z evil3 $
#

BEGIN TRANSACTION;

# Table: 'phpbb_trolls'
CREATE TABLE phpbb_trolls (
	troll_id INTEGER PRIMARY KEY NOT NULL ,
	user_id INTEGER UNSIGNED NOT NULL DEFAULT '0'
);

CREATE INDEX phpbb_trolls_user_id ON phpbb_trolls (user_id);

# Table: 'phpbb_troll_actions'
CREATE TABLE phpbb_troll_actions (
	action_id INTEGER PRIMARY KEY NOT NULL ,
	action_enabled INTEGER UNSIGNED NOT NULL DEFAULT '1',
	action_name varchar(255) NOT NULL DEFAULT '',
	action_settings mediumtext(16777215) NOT NULL DEFAULT ''
);

CREATE INDEX phpbb_troll_actions_action_enabled ON phpbb_troll_actions (action_enabled);


COMMIT;